summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Brandon Pribula2022-04-06 12:37:25 +0200
committer Willy Sudiarto Raharjo2022-04-09 10:45:49 +0200
commitae4164e3e90ef702ba671f1a02d37bb141dbdb83 (patch)
treebe87da09736774ba35b9fb778fff6a69d9f4f9a5 /development
parentec2393089c23b48a9c07b6ebe7cff89fe5281466 (diff)
downloadslackbuilds-ae4164e3e90ef702ba671f1a02d37bb141dbdb83.tar.gz
development/micro: Added (Text Editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/micro/README20
-rw-r--r--development/micro/doinst.sh3
-rw-r--r--development/micro/micro.SlackBuild97
-rw-r--r--development/micro/micro.info10
-rw-r--r--development/micro/slack-desc19
5 files changed, 149 insertions, 0 deletions
diff --git a/development/micro/README b/development/micro/README
new file mode 100644
index 0000000000..4030b374a7
--- /dev/null
+++ b/development/micro/README
@@ -0,0 +1,20 @@
+micro is a terminal-based text editor that aims to be easy to use
+and intuitive, while also taking advantage of the capabilities
+of modern terminals.
+
+As its name indicates, micro aims to be somewhat of a
+successor to the nano editor by being easy to install and use.
+It strives to be enjoyable as a full-time editor for people who
+prefer to work in a terminal, or those who regularly edit files
+over SSH.
+
+Optional Dependencies
+----------------------
+On Linux, clipboard support requires:
+
+ On X11, the xclip or xsel commands (Available on SBo)
+ On Wayland, the wl-clipboard command
+
+If you don't have these commands, micro will use an internal
+clipboard for copy and paste, but it won't work with
+external applications.
diff --git a/development/micro/doinst.sh b/development/micro/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/micro/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/micro/micro.SlackBuild b/development/micro/micro.SlackBuild
new file mode 100644
index 0000000000..c32d81ca30
--- /dev/null
+++ b/development/micro/micro.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/bash
+
+# Slackware build script for micro editor
+
+# Copyright 2022 Brandon Pribula, BC Canada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=micro
+VERSION=${VERSION:-2.0.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" != "i586" ] && [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH not supported"
+ exit 1
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+if [ "$ARCH" = "i586" ]; then
+ tar xvf $CWD/$PRGNAM-$VERSION-linux32.tar.gz
+elif [ "$ARCH" = "x86_64" ]; then
+ tar xvf $CWD/$PRGNAM-$VERSION-linux64.tar.gz
+fi
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+install -m 755 -D $PRGNAM $PKG/usr/bin/$PRGNAM
+install -m 644 -D ${PRGNAM}.1 $PKG/usr/man/man1/${PRGNAM}.1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+install -m 644 -D ${PRGNAM}.desktop $PKG/usr/share/applications/${PRGNAM}.desktop
+install -m 644 -D ${PRGNAM}.svg $PKG/usr/share/icons/hicolor/scalable/apps/${PRGNAM}.svg
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE LICENSE-THIRD-PARTY README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $CWD/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/micro/micro.info b/development/micro/micro.info
new file mode 100644
index 0000000000..1abc6b30aa
--- /dev/null
+++ b/development/micro/micro.info
@@ -0,0 +1,10 @@
+PRGNAM="micro"
+VERSION="2.0.10"
+HOMEPAGE="https://micro-editor.github.io/"
+DOWNLOAD="https://github.com/zyedidia/micro/releases/download/v2.0.10/micro-2.0.10-linux32.tar.gz"
+MD5SUM="370be13a9d27d679174ca0bd63e09013"
+DOWNLOAD_x86_64="https://github.com/zyedidia/micro/releases/download/v2.0.10/micro-2.0.10-linux64.tar.gz"
+MD5SUM_x86_64="4745f0285eef4da28c651faf05bfb349"
+REQUIRES=""
+MAINTAINER="Brandon Pribula"
+EMAIL="b.pribs11@gmail.com"
diff --git a/development/micro/slack-desc b/development/micro/slack-desc
new file mode 100644
index 0000000000..9e50772b14
--- /dev/null
+++ b/development/micro/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+micro: micro (A modern and intuitive terminal-based text editor)
+micro:
+micro: As its name indicates, micro aims to be somewhat of a successor to
+micro: nano editor by being easy to install and use. It strives to be
+micro: enjoyable as a full-time editor for people who prefer to work in a
+micro: terminal, or those who regularly edit files over SSH.
+micro:
+micro:
+micro:
+micro: Home page: https://github.com/zyedidia/micro
+micro: